CProbabilityVector Class Reference
Uncategorized

A vector of probablility values. More...

`#include <mia/core/probmap.hh>`

Inherits std::vector< double_vector >.

## Public Member Functions

| CProbabilityVector ()
| CProbabilityVector (const std::string &in_fname)
| CProbabilityVector (size_t nClass, size_t nElm)
bool | save (const std::string &out_fname) const

## Detailed Description

A vector of probablility values.

A vector of probablility values that supports loading and storing the data.

Definition at line 43 of file probmap.hh.

## Constructor & Destructor Documentation

## CProbabilityVector() [1/3]

CProbabilityVector::CProbabilityVector | ( |  | ) |

standard constructor

## CProbabilityVector() [2/3]

CProbabilityVector::CProbabilityVector | ( | size_t | nClass,
|  | size_t | nElm )

Constructor using describing the probability vector

Parameters

  nClass | number of probablilities per element
  nElm | numer of elments (aka intensities)

## CProbabilityVector() [3/3]

CProbabilityVector::CProbabilityVector | ( | const std::string & | in_fname | ) |

Loads a probability map from a file, throws an exception of the operation fails.

Parameters

  in_fname | input file name "-" reads from stdin

Returns
  the probability map

## Member Function Documentation

## save()

bool CProbabilityVector::save | ( | const std::string & | out_fname | ) | const

Saves a probability map to a file,

Parameters

  out_fname | output filemake, "-" uses stdout

Returns
  true if successfull, false otherwise

The documentation for this class was generated from the following file:

- probmap.hh